GET /stripe/clientSecret
Retrieves a Stripe client secret for payment processing using a payment intent ID

Query Parameters

paymentIntentId string required query
Stripe payment intent ID to retrieve client secret for
Example: "pi_3RlHbVJnoDg53PsP1349cXlR"

Responses

200 Client secret retrieved successfully
application/json
success boolean REQUIRED
message string REQUIRED
data string REQUIRED
Stripe client secret for the payment intent
statusCode number REQUIRED
400 Bad request - PaymentIntentId is required or invalid
curl -X GET 'https://mainnet.anyspend.com/stripe/clientSecret?paymentIntentId=pi_3RlHbVJnoDg53PsP1349cXlR'
const response = await fetch('https://mainnet.anyspend.com/stripe/clientSecret?paymentIntentId=pi_3RlHbVJnoDg53PsP1349cXlR', {  method: 'GET'});const data = await response.json();console.log(data);
import requestsresponse = requests.get('https://mainnet.anyspend.com/stripe/clientSecret?paymentIntentId=pi_3RlHbVJnoDg53PsP1349cXlR')print(response.json())
200 Response
{  "success": true,  "message": "Client secret retrieved",  "data": "pi_3RlHbVJnoDg53PsP1349cXlR_secret_084W7pxxba11lTUHWbmeZlXi0",  "statusCode": 200}